The call's CRM/helpdesk records (screen pop) and call-log state
GET
/v1/mobile/workspace/calls/{call_id}/cti
const url = 'https://api.vocapable.com/v1/mobile/workspace/calls/example/cti';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.vocapable.com/v1/mobile/workspace/calls/example/cti \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”call_id
required
Call Id
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
CcCtiCallView
The call’s CRM/helpdesk records: one row per connected CTI tool.
object
call_id
required
Call Id
string
matches
required
Matches
Array<object>
CcCtiMatchobject
installation_id
required
Installation Id
string
provider
required
Provider
string
match_count
required
Match Count
integer
log_state
required
Log State
string
screen_pop_budget_ms
required
Screen Pop Budget Ms
integer
Example
{ "matches": [ { "provider": "salesforce", "match_kind": "phone", "popped_via": "server", "log_state": "pending" } ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}